#!/bin/sh
#
# $FreeBSD$
#

# PROVIDE: example
# REQUIRE: LOGIN
# KEYWORD: FreeBSD shutdown

# Add the following lines to /etc/rc.conf to enable `example':
#
#example_enable="YES"
#

. "%%RC_SUBR%%"

name='example'
rcvar=`set_rcvar`

# use when the daemon uses SIGHUP to reparse its configuration files
#
#extra_commands='reload'

command='%%PREFIX%%/libexec/example'

# uncomment when the daemon creates a pid file (recommended).
#
#pidfile='/var/run/example.pid'

# use when the daemon requires a configuration file to run,
# you can check for required_dirs and required_vars too.
#
#required_files='%%PREFIX%%/etc/example.conf'

# use the following when the daemon doesn't clean up after itself
#
#stop_postcmd=stop_postcmd
#
#stop_postcmd()
#{
#  /bin/rm -f "$pidfile"
#}

# set defaults

example_enable="${example_enable:-NO}"

load_rc_config $name
run_rc_command "$1"
